<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="getvariablesonstack">
  <info>
    <pubdate>$LastChangedDate: 2007-07-29 20:39:36 +0200 (mar., 17 oct. 2007)$</pubdate>
  </info>
  <refnamediv>
    <refname>getvariablesonstack</refname>
    <refpurpose>get variable names on stack of scilab</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>s=getvariablesonstack()
s=getvariablesonstack('local')
s=getvariablesonstack('global')</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>s</term>
        <listitem>
          <para>a string matrix</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>return in <literal>s</literal>variable names on scilab stack. </para>
    <para>getvariablesonstack('local') returns local variables on scilab stack. </para>
    <para>getvariablesonstack('global') returns global variables on scilab stack. </para>
    <para>Variables are sorted by alphabetical order.</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
getvariablesonstack()
getvariablesonstack('local')
getvariablesonstack('global')
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="who">who</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
